<html>
	<head>
		<script src="/static/jquery-2.2.0.min.js"></script>
		<script src="/static/moment.min.js"></script>
		<link href="/static/jquery-ui-1.11.4/jquery-ui.css" rel="stylesheet">
		<script src="/static/jquery-ui-1.11.4/jquery-ui.js"></script>
		<script src="/static/jquery.hoverIntent.minified.js"></script>

<style>
</style>
	</head>
	<body>
	<p>Downloads</p>
	<div>
		<div><select id="cameras"></select></div>
		<div class="picker">Date: <input type="text" id="datepicker"></div>
		<div>Start Time: 
				<select id="from_hour">
				<option value="00">00</option> <option value="01">01</option> <option value="02">02</option> <option value="03">03</option> <option value="04">04</option> <option value="05">05</option> <option value="06">06</option> <option value="07">07</option> <option value="08">08</option> <option value="09">09</option>
				<option value="10">10</option> <option value="11">11</option> <option value="12">12</option> <option value="13">13</option> <option value="14">14</option> <option value="15">15</option> <option value="16">16</option> <option value="17">17</option> <option value="18">18</option> <option value="19">19</option>
				<option value="20">20</option> <option value="21">21</option> <option value="22">22</option> <option value="23">23</option>
				</select>
				:
				<select id="from_minute">
				<option value="00">00</option> <option value="01">01</option> <option value="02">02</option> <option value="03">03</option> <option value="04">04</option> <option value="05">05</option> <option value="06">06</option> <option value="07">07</option> <option value="08">08</option> <option value="09">09</option>
				<option value="10">10</option> <option value="11">11</option> <option value="12">12</option> <option value="13">13</option> <option value="14">14</option> <option value="15">15</option> <option value="16">16</option> <option value="17">17</option> <option value="18">18</option> <option value="19">19</option>
				<option value="20">20</option> <option value="21">21</option> <option value="22">22</option> <option value="23">23</option> <option value="24">24</option> <option value="25">25</option> <option value="26">26</option> <option value="27">27</option> <option value="28">28</option> <option value="29">29</option>
				<option value="30">30</option> <option value="31">31</option> <option value="32">32</option> <option value="33">33</option> <option value="34">34</option> <option value="35">35</option> <option value="36">36</option> <option value="37">37</option> <option value="38">38</option> <option value="39">39</option>
				<option value="40">30</option> <option value="41">41</option> <option value="42">42</option> <option value="43">43</option> <option value="44">44</option> <option value="45">45</option> <option value="46">46</option> <option value="47">47</option> <option value="48">48</option> <option value="49">49</option>
				<option value="50">50</option> <option value="51">51</option> <option value="52">52</option> <option value="53">53</option> <option value="54">54</option> <option value="55">55</option> <option value="56">56</option> <option value="57">57</option> <option value="58">58</option> <option value="59">59</option>
				</select>
		</div>
		<div>End Time: 
				<select id="to_hour">
				<option value="00">00</option> <option value="01">01</option> <option value="02">02</option> <option value="03">03</option> <option value="04">04</option> <option value="05">05</option> <option value="06">06</option> <option value="07">07</option> <option value="08">08</option> <option value="09">09</option>
				<option value="10">10</option> <option value="11">11</option> <option value="12">12</option> <option value="13">13</option> <option value="14">14</option> <option value="15">15</option> <option value="16">16</option> <option value="17">17</option> <option value="18">18</option> <option value="19">19</option>
				<option value="20">20</option> <option value="21">21</option> <option value="22">22</option> <option value="23">23</option>
				</select>
				:
				<select id="to_minute">
				<option value="00">00</option> <option value="01">01</option> <option value="02">02</option> <option value="03">03</option> <option value="04">04</option> <option value="05">05</option> <option value="06">06</option> <option value="07">07</option> <option value="08">08</option> <option value="09">09</option>
				<option value="10">10</option> <option value="11">11</option> <option value="12">12</option> <option value="13">13</option> <option value="14">14</option> <option value="15">15</option> <option value="16">16</option> <option value="17">17</option> <option value="18">18</option> <option value="19">19</option>
				<option value="20">20</option> <option value="21">21</option> <option value="22">22</option> <option value="23">23</option> <option value="24">24</option> <option value="25">25</option> <option value="26">26</option> <option value="27">27</option> <option value="28">28</option> <option value="29">29</option>
				<option value="30">30</option> <option value="31">31</option> <option value="32">32</option> <option value="33">33</option> <option value="34">34</option> <option value="35">35</option> <option value="36">36</option> <option value="37">37</option> <option value="38">38</option> <option value="39">39</option>
				<option value="40">30</option> <option value="41">41</option> <option value="42">42</option> <option value="43">43</option> <option value="44">44</option> <option value="45">45</option> <option value="46">46</option> <option value="47">47</option> <option value="48">48</option> <option value="49">49</option>
				<option value="50">50</option> <option value="51">51</option> <option value="52">52</option> <option value="53">53</option> <option value="54">54</option> <option value="55">55</option> <option value="56">56</option> <option value="57">57</option> <option value="58">58</option> <option value="59">59</option>
				</select>
		</div>
		<div><button onclick="generate();">Generate</button></div>
	</div>
	<hr>
	<div id="existing_files"></div>
	<br>

		<script>

$.getJSON("/api/1/listranges", function(data) {
	console.log(data)
	for (key in data.payload) {
		$("#existing_files").append($("<div>" + key + "</dv>"))
		value = data.payload[key]
		for (i in value) {
			$("#existing_files").append($('<div><a href="' + value[i]['link'] + '">' + value[i]['name'] + '</a</dv>'))
		}
	}
})


$.getJSON("/api/1/cameras.json", function( data) {
	data.payload.forEach(function(camera_id) {
		o = $('<option value="'+camera_id+'">'+camera_id+'</option>')
		$("#cameras").append(o)
	})
});

function generate() {
	d = $("#datepicker").val()
	from_hour = $("#from_hour  option:selected").val()
	from_minute = $("#from_minute  option:selected").val()
	from=d + "_" + from_hour + from_minute
	to_hour = $("#to_hour  option:selected").val()
	to_minute = $("#to_minute  option:selected").val()
	to=d + "_" + to_hour + to_minute
	camera_id = $("#cameras option:selected").val()
	url = '/api/1/range/' + camera_id + '.' + from + '.to.' + to + '.mp4'
	newfile = $('<div><a href="' + url + '">' + url + '</a></div>')

	$.getJSON(url, function (data) {});

	$("#existing_files").append(newfile)
}

function dateChanged(value) {
}

today = new Date()
$(function() {
	ds = moment().format("YYYYMMDD")
	$("#datepicker").val(ds)
   	$("#datepicker").datepicker({
		dateFormat : 'yymmdd',
		defaultDate: today
	});
	$("#datepicker").change(function() { dateChanged($("#datepicker").val()) } )
	dateChanged($("#datepicker").val())
});

		</script>
	</body>
</html>
